Lingxing
切换旧版

批量查询发货单详情

POST/erp/sc/routing/storage/shipment/getInboundShipmentListMwsDetailList

接口信息

API Path请求协议请求方式令牌桶容量
/erp/sc/routing/storage/shipment/getInboundShipmentListMwsDetailListHTTPSPOST1

请求参数

shipment_sn_arrarray<any>必填
发货单号数组,上限50
return_deletedboolean
是否返回已删除数据: false-否(默认),true-是

请求cURL示例

curl --location 'https://openapi.lingxing.com/erp/sc/routing/storage/shipment/getInboundShipmentListMwsDetailList?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "shipment_sn_arr": ["SP230601024"]
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
提示消息
示例 success
error_detailsarray<any>必填
错误信息
request_idstring必填
请求链路id
示例 8A221558-5272-0032-DBF0-C9CAD7353A9E
response_timestring必填
响应时间
示例 2022-03-09 11:41:17
dataarray<object>必填
响应数据
隐藏子属性
idinteger必填
发货单ID
示例 6413
tracking_idinteger必填
物流追踪(运单)ID
示例 0
shipment_snstring必填
发货单号
示例 SP220302002
statusinteger必填
发货单状态,
-1 : 待配货
0:待发货,
1:已发货,
3:已作废,
4:已删除
示例 -1
shipment_timestring必填
发货时间
示例 2023-03-14 15:48:51
widinteger必填
仓库ID
示例 1
gmt_modifiedstring必填
修改时间
示例 2022-03-02 11:10:51
gmt_createstring必填
创建时间
示例 2022-03-02 11:10:49
remarkstring必填
备注
creator_uidinteger必填
创建人UID
示例 129067
opt_uidinteger必填
最后操作人UID
示例 129067
msku_countinteger必填
种类数
示例 1
quantity_totalinteger必填
发货总量
示例 0
logistics_channel_idinteger必填
渠道商ID
示例 0
confirm_uidinteger必填
确认人UID
示例 0
shipment_uidinteger必填
发货人UID
示例 0
confirm_timeinteger必填
确认时间(时间戳格式)
示例 0
expected_arrival_datestring必填
预计到货日期
is_relatedinteger必填
1=关联;0=不关联
示例 0
is_whb_checkedinteger必填
1=自动选择仓位扣减;
0=不选择仓位扣减
示例 0
head_fee_typeinteger必填
头程费分配方式:
0 产品-计费重(默认)
1 产品-实重
2 产品-体积重
3 产品-数量
4 自定义
5 箱子-体积
示例 0
is_points_behindinteger必填
是否分抛计算(0:否,1:是)
示例 1
points_behind_coeffientinteger必填
分抛系数(0-100)
示例 1
is_return_stockinteger必填
是否恢复库存,
0=否,
1=是
示例 0
ware_house_bak_namestring必填
仓库名称(作为被删仓库的备用值)
示例 xxx
is_printinteger必填
是否打印拣货单
(0:未打印,1:已打印)
示例 0
print_numinteger必填
打印次数
示例 0
is_pickinteger必填
是否拣货
(0:未拣货,1:已拣货)
示例 0
pick_timestring必填
完成拣货时间
示例 2022-05-06
print_timeinteger必填
最后一次打印时间
示例 1677229505
etd_datestring必填
开船时间
示例 2022-05-06
eta_datestring必填
预计到港时间
示例 2022-05-06
delivery_datestring必填
实际妥投时间
示例 2022-05-06
order_logistics_statusstring必填
订单物流状态
示例 2022-05-06
shipment_userstring必填
发货人
示例 xxx
wnamestring必填
仓库名称
示例 仓库1
create_userstring必填
创建人
示例 超级管理员
file_idstring必填
附件文件
示例 1
actual_shipment_timestring必填
实际发货时间
示例 2023-03-14
logistics_channel_namestring必填
物流渠道名称
示例 xxxx
is_deleteinteger必填
0-未删除
示例 0
destination_fulfillment_center_idstring必填
物流中心编码
示例 xasf
cancel_timeinteger必填
作废时间(时间戳格式)
示例 0
logistics_provider_idinteger必填
物流商ID
示例 0
logistics_provider_namestring必填
物流商名称
示例 0
transportation_cost_statusinteger必填
物流费用填写状态,
1:全部填写,
2:部分填写,
3:全未填写
示例 3
other_cost_statusinteger必填
其他费用填写状态
,1:全部填写,
2:部分填写,
3:全未填写
示例 3
pay_statusinteger必填
付款状态
0:未申请,
1:已申请,
2:部分付款,
3:已付清,
4:无
示例 4
predicted_transportation_cost_statusinteger必填
预估物流费用填写状态,
1:全部填写,
2:部分填写,
3:全未填写
示例 3
predicted_other_cost_statusinteger必填
预估其他费用填写状态,
1:全部填写,
2:部分填写,
3:全未填写
示例 3
audit_statusinteger必填
审批状态,
121:待审核,
122:驳回,
123:通过,
124:作废
示例 0
stash_shipment_uidinteger必填
暂存发货人UID(审批流专用)
示例 0
stash_shipment_timeinteger必填
暂存发货时间(审批流专用)
示例 0
is_relate_auxinteger必填
是否关联辅料,
0:否,
1:是
示例 1
itemsarray<object>必填
商品列表
隐藏子属性
idinteger必填
商品明细ID
示例 40288
pidinteger必填
货件明细ID
示例 0
inbound_shipment_list_idinteger必填
发货单ID
示例 6413
box_numinteger必填
箱数
示例 0
numinteger必填
发货数量
示例 1
widinteger必填
仓库ID
示例 1
ware_house_storage_idinteger必填
已作废字段
示例 0
product_idinteger必填
本地商品ID
示例 3322
skustring必填
SKU
示例 测试组合商品sku
fnskustring必填
仓库FNSKU
示例 FN24B265B
statusinteger必填
状态
示例 -1
shipment_timeinteger必填
发货时间
示例 0
aux_coststring必填
辅料费用
示例 0.0000
fba_stock_coststring必填
fba库存费用
示例 0.0000
fee_coststring必填
仓库费用
示例 0.0000
stock_coststring必填
仓库发货成本价
示例 0.0000
tax_amountstring必填
税费值
示例 0.00
tax_currencystring必填
税费币种
示例 USD
create_timeinteger必填
示例 0
update_timeinteger必填
示例 0
gmt_modifiedstring必填
更新时间
示例 2022-03-02 11:10:51
gmt_createstring必填
创建时间
示例 2022-03-02 11:10:51
cost_weightstring必填
每个商品对应的计费重(体积重)
示例 0.0000
total_transport_coststring必填
总费用(商品的运费和税费之和)
示例 0.0000
cg_package_lengthstring必填
包装规格(CM)长
示例 0.00
cg_package_widthstring必填
包装规格(CM)宽
示例 0.00
cg_package_heightstring必填
包装规格(CM)高
示例 0.00
cg_product_gross_weightstring必填
商品毛重(G)
示例 0.00
calculate_tax_amountstring必填
税费值(人民币)
示例 0.0000
product_namestring必填
商品名称
示例 测试组合商品品名
whb_codearray<any>必填
仓位编码列表
snamestring必填
店铺名称
示例 店铺7
nationstring必填
店铺所在国家
示例 日本
cg_product_net_weightstring必填
商品净重(G)
示例 0.00
total_nwstring必填
总净重(G)
示例 0.00
total_gwstring必填
总毛重(G)
示例 0.00
shipment_plan_quantityinteger必填
计划发货量
示例 1
apply_numinteger必填
申报量
示例 0
remarkstring必填
备注
isp_idinteger必填
发货计划id
示例 514
is_combointeger必填
组合商品:0-否,1-是
示例 1
create_by_mwsinteger必填
货件生成发货单: 0-否,1-是
示例 0
cg_box_widthstring必填
箱子宽度(CM)宽
示例 0.00
cg_box_heightstring必填
箱子宽度(CM)高
示例 0.00
cg_box_weightstring必填
单箱重量(KG)
示例 0.00
cg_box_net_weightstring必填
单箱净重(KG)
示例 0.00
cg_box_gross_weightstring必填
单箱毛重(KG)
示例 0.00
cg_box_lengthstring必填
箱子宽度(CM)长
示例 0.00
cbmstring必填
CBM
示例 0.00
product_mws_idinteger必填
在线商品ID
示例 3396
volume_weightstring必填
体积重
示例 0.00
quantity_in_caseinteger必填
单箱数量
示例 0
pic_urlstring必填
图片URL
packing_typeinteger必填
混装类型:1:原装,2:原装
示例 1
shipment_idstring必填
货件编号
sidinteger必填
店铺ID
示例 7
wnamestring必填
仓库名
示例 仓库1
fulfillment_network_skustring必填
listing的fnsku
示例 FN24B265B
shipment_snstring必填
发货单号
示例 SP220302002
mskustring必填
seller_sku
示例 MSKU00B2BEA
transport_coststring必填
每个商品对应的头程价格
示例 0.0000
diff_numinteger必填
差额
示例 0
midstring必填
店铺所在国家ID
shipment_order_snstring必填
发货计划单号
示例 R220124024
calculate_transportation_coststring必填
运费(人民币)
示例 0.0000
calculate_other_coststring必填
其他费用(人民币)
示例 0.0000
calculate_predicted_transportation_coststring必填
预估运费(人民币)
示例 0.000000
calculate_predicted_other_coststring必填
预估其他费用(人民币)
示例 0.000000
predicted_transport_coststring必填
预估每个商品对应的头程价格
示例 0.000000
predicted_total_transport_coststring必填
预估总费用(预估物流费用和税费之和)
示例 0.000000
destination_fulfillment_center_idstring必填
物流中心编码
quantity_shippedinteger必填
货件申报量
示例 0
is_deletestring必填
shipment_statusstring必填
货件状态
quantity_receivestring必填
待到货量
示例 0
is_relate_mwsinteger必填
关联货件:0-否,1-是
示例 0
product_qc_numinteger必填
待检量
示例 0
product_valid_numinteger必填
可用量
示例 1
sku_box_keystring必填
产品装箱唯一键,发货单内唯一,可用于关联箱子信息
示例 xxxxxxxxxxx
storage_listarray<object>必填
隐藏子属性
fnskustring必填
fnsku
示例 fnakusdfa
widinteger必填
仓库ID
示例 1
product_idinteger必填
产品ID
示例 3322
storage_hash_idstring必填
MD5(wid + '_' + product_id + '_' + fnsku)
示例 3f98aeab2261ad638e63df0fc4a8e60d
product_valid_numinteger必填
可用量
示例 0
product_qc_numinteger必填
待检量
示例 0
quantity_receivenumber必填
待到货量
示例 0
shipment_quantity_receivednumber必填
货件签收量
示例 0
shipment_order_listarray<object>必填
隐藏子属性
ispr_idinteger必填
关联关系表ID
示例 25078
isp_idinteger必填
发货计划表ID
示例 514
isim_idinteger必填
货件详情表ID
示例 0
isil_idinteger必填
发货单表ID
示例 6413
isilm_idinteger必填
发货单详情表ID
示例 40288
shipment_plan_snstring必填
发货计划单号
示例 R220124024
shipment_mws_snstring必填
货件编号
示例 xxxxxxxxxx
shipment_list_snstring必填
发货单号
示例 SP220302002
shipment_plan_quantityinteger必填
计划发货量
示例 1
shipment_mws_quantityinteger必填
货件关联量
示例 0
shipment_list_quantityinteger必填
发货单关联量
示例 1
gmt_createstring必填
创建时间
示例 2022-03-02 11:10:51
gmt_modifiedstring必填
修改时间
示例 2022-03-02 11:10:51
quantity_shippedstring必填
货件申报量
示例 1
shipment_idsarray<object>必填
隐藏子属性
quantity_shippedstring必填
建单数量
示例 1
init_quantity_shippedstring必填
货件初始申报量
示例 1
quantitystring必填
发货单发货量
示例 1
idstring必填
自增ID
示例 1
shipment_idstring必填
货件编号
示例 xxxxxxxxx
cost_sourcestring必填
实际费用
示例 实际费用
whb_code_listarray<any>必填
仓位编码列表
son_storage_arrarray<object>
组合商品列表
隐藏子属性
product_idinteger必填
产品id
示例 3063
product_imagestring必填
产品图片
pic_urlstring必填
产品图片
skustring必填
SKU
示例 SKU868EBEC
product_namestring必填
品名
示例 [演示数据]4K UHD 内存卡带适配器
quantityinteger必填
组合产品数量
示例 1
product_valid_numinteger必填
可用量
示例 0
product_qc_numinteger必填
待检量
示例 0
product_pending_numinteger必填
待到货量
示例 0
max_product_valid_numinteger
组合商品最大可用量
示例 1
sta_shipment_idstring必填
sta的shipmentId
is_stastring必填
是否sta货件,1:是,0:否
sta_inbound_plan_idstring必填
sta任务编号
logisticsarray<object>必填
物流信息列表(旧版物流信息)
隐藏子属性
idinteger必填
物流信息ID(旧版物流信息)
示例 1407
inbound_shipment_list_mws_idinteger必填
发货单ID(旧版物流信息)
示例 5528
gmt_modifiedstring必填
修改时间(旧版物流信息)
示例 2021-12-23 14:48:42
gmt_createstring必填
创建时间(旧版物流信息)
示例 2021-10-29 14:13:26
tracking_numberstring必填
物流商号(旧版物流信息)
示例 物流商单号123
replace_tracking_numberstring必填
跟踪单号(旧版物流信息)
示例 跟踪号123
transportation_coststring必填
实际物流费用(旧版物流信息)
示例 100.00
other_coststring必填
实际其他费用(旧版物流信息)
示例 100.00
transportation_currencystring必填
实际物流费用币种(旧版物流信息)
示例 CNY
other_currencystring必填
实际其他费用币种(旧版物流信息)
示例 USD
other_cost_remarkstring必填
实际其他费用备注(旧版物流信息)
示例 我是一个备注
predicted_transportation_coststring必填
预估物流费用(旧版物流信息)
示例 100.00
predicted_transportation_currencystring必填
预估物流费用币种(旧版物流信息)
示例 CNY
predicted_other_coststring必填
预估其他费用(旧版物流信息)
示例 0.00
predicted_other_currencystring必填
预估其他费用币种(旧版物流信息)
示例 CNY
predicted_other_cost_remarkstring必填
预估其他费用备注(旧版物流信息)
auxsarray<object>必填
辅料列表
隐藏子属性
isialm_idinteger必填
辅料自增ID
示例 149
aux_idinteger必填
辅料产品ID
示例 5455
pidinteger必填
货件明细ID
示例 0
numinteger必填
商品发货数量
示例 0
aux_skustring必填
辅料SKU
示例 7989879wewe
aux_namestring必填
辅料名称
示例 广告纸
shipment_snstring必填
发货单号
示例 SP220302002
shipment_plan_snstring必填
发货计划单号
示例 xxxxxxx
shipment_idstring必填
货件编号
示例 xxxxxxxx
inbound_shipment_list_idinteger必填
发货计划ID
示例 6413
cg_pricestring必填
辅料单位成本
示例 11.0000
cg_total_pricestring必填
辅料总成本
示例 11.0000
cg_product_net_weightstring必填
辅料净重
示例 71.76
cg_product_lengthstring必填
箱子规格(CM)长
示例 75.38
remarkstring必填
备注
cg_product_widthstring必填
箱子规格(CM)宽
示例 40.46
cg_product_heightstring必填
箱子规格(CM)高
示例 47.91
relation_product_mskustring必填
关联MSKU
示例 MSKU00B2BEA
relation_typeinteger必填
1关联商品,2关联整单
示例 1
relation_product_skustring必填
关联SKU
relation_product_fnskustring必填
关联FNSKU
示例 FN24B265B
aux_numinteger必填
关联数量
示例 1
relation_product_idinteger必填
关联产品ID
示例 3322
relation_isilm_idinteger必填
关联发货单ID
示例 0
update_uidinteger必填
修改人UID
示例 0
update_userstring必填
修改人
示例 xxx
create_userstring必填
创建人
示例 xxxx
create_uidinteger必填
创建人UID
示例 129067
aux_head_fee_typeinteger必填
辅料分摊类型
1:按sku分摊,
2:实重分摊,
3:按体积重分摊,
:按计费重分摊
示例 3
is_points_behindinteger必填
是否分抛计算(0:否,1:是)
示例 1
points_behind_coeffientinteger必填
分抛系数(0-100)
示例 1
create_timeinteger必填
示例 1646190650
update_timeinteger必填
示例 0
gmt_createstring必填
创建时间
示例 2022-03-02 11:10:51
gmt_modifiedstring必填
修改时间
示例 2022-03-02 11:10:51
principalsarray<object>必填
权限人列表
隐藏子属性
isp_idstring必填
主键ID
示例 250157647881658368
shipment_snstring必填
发货单号
示例 SP220302002
isil_idinteger必填
发货单ID
示例 6413
principal_uidinteger必填
权限人UID
示例 129067
operate_userstring必填
操作人
示例 施振锋
operate_uidinteger必填
操作人UID
示例 129067
principal_userstring必填
权限人
示例 施振锋
gmt_modifiedstring必填
修改时间
示例 2022-03-02 11:10:52
gmt_createstring必填
创建时间
示例 2022-03-02 11:10:52
msgstring必填
示例 xxx
status_namestring必填
状态名称
示例 待配货
last_update_timestring必填
最后修改日期
示例 2022-03-02 11:10:49
head_fee_type_namestring必填
头程费用名称
示例 按计费重
fileListarray<any>必填
附件列表
box_typestring必填
装箱类型:
SINGLE-每箱只允许一款SKU,
MULTIPLE-每箱允许多款SKU
示例 MULTIPLE
box_remarkstring必填
装箱备注
示例 多个SKU装箱
logistics_list_typeobject必填
物流信息版本0旧版1新版
示例 0
head_logistics_listarray<object>必填
新版物流信息列表(logistics_list_type = 1时才有意义)
隐藏子属性
track_listarray<object>
轨迹信息
隐藏子属性
tracking_nostring必填
查询单号
示例 xxxxxx
transport_typestring必填
运输类型 :1快递;2海运;3空运;4其他;
示例 1
transport_type_namestring必填
运输类型 名称
示例 快递
order_type_code_namestring必填
单号类型 名称
示例 5
order_type_codestring必填
单号类型:
1.订舱号;
2.提单号;
3.箱号;
4.其他;
5跟踪单号;
6航班号
(注意:与运输类型有联动) 当transport_type=1只能传 5.跟踪单号
当transport_type=2只能传
1.订舱号
2.提单号
3.箱号
4.其他
transport_type=3只能传
2.提单号
6.航班号
当transport_type=4只能传 空
示例 跟踪单号
shippers_namestring必填
承运商 名称
示例 xxx
shippersstring必填
承运商
示例 xxx
remarkstring
备注
示例 xxxx
logistics_tracking_numberstring
物流商单号
estimate_expenses_listobject必填
费用数组-预估费用数组
隐藏子属性
pricestring必填
单价
示例 1
price_currencystring必填
单价币种
示例 CNY
logistics_feestring必填
物流费用
示例 1
logistics_fee_currencystring必填
物流费用币种
示例 CNY
chargeable_weightstring必填
计费重
示例 1
total_feestring必填
费用合计
示例 1
total_fee_currencystring必填
费用合计币种
示例 CNY
logistics_fee_gmt_createstring必填
物流费用-创建时间
logistics_fee_gmt_modifiedstring必填
物流费用-更新时间
tax_fee_gmt_createstring必填
税费-创建时间
tax_fee_gmt_modifiedstring必填
税费-更新时间
other_fee_arrarray<object>必填
其他费数组
隐藏子属性
fee_type_idstring必填
其他费ID
示例 111111
namestring必填
其他费名称
示例 xxxxxx
other_amountnumber必填
其他费费用
示例 1
other_currencystring必填
其他费币种
示例 CNY
logistics_provider_idstring必填
多物流商费用的物流商ID
示例 111111
actual_expenses_listobject必填
费用明细-实际费用数组 (参考estimate_expenses_list)
隐藏子属性
priceobject必填
单价
示例 1
price_currencystring必填
单价币种
示例 CNY
logistics_feestring必填
物流费用
示例 1
logistics_fee_currencystring必填
物流费用币种
示例 CNY
chargeable_weightstring必填
计费重(kg)
示例 1
total_feestring必填
费用合计
示例 1
total_fee_currencystring必填
费用合计币种
示例 CNY
tax_feestring必填
实际税费
示例 1
tax_fee_currencystring必填
实际税费币种
示例 CNY
other_fee_arrarray<object>必填
其他费数组
隐藏子属性
fee_type_idstring必填
其他费ID
示例 12312312321312312
namestring必填
其他费名称
示例 xxxxx
other_amountstring必填
其他费费用
示例 1
other_currencystring必填
其他费币种
示例 CNY
logistics_provider_idstring必填
多物流商费用的物流商ID
示例 111111
box_listarray<object>
箱规列表,每个子项代表一个箱规
隐藏子属性
box_numstring必填
箱子数
示例 3
cg_box_lengthstring必填
箱子长
示例 20
cg_box_widthstring必填
箱子宽
示例 30
cg_box_heightstring必填
箱子高
示例 40
cg_box_weightstring必填
箱子重
示例 1.33
box_rangestring必填
箱子范围
示例 1-4
box_codesstring必填
自定义箱号,通过\n分隔
box_skusarray<object>必填
箱子内包含的SKU信息,SINGLE类型装箱,只会有一个子项,MULTIPLE类型装箱,可能会有多个子项
隐藏子属性
sku_box_keystring必填
产品装箱唯一键,可通过此键关联产品
示例 63BB81CF-0650-45C9-5BDB-26B58E13565F
skustring必填
SKU
示例 0530-1
shipment_idstring必填
货件编号
示例 FBA16XNMN3N4
seller_namestring必填
店铺名
示例 8P-SPEED
mskustring必填
MSKU
示例 Black_ Head_Rope
fnskustring必填
FNSKU
示例 B09MT3989Q
product_namestring必填
品名
示例 新的商品
quantity_in_casestring必填
单箱数量
示例 32

返回成功示例

{
    "code": 0,
    "message": "success",
    "request_id": "17265BB1-88CE-8DE4-12D4-022C161EC3F3",
    "error_details": "",
    "data": [{
        "id": 8163,
        "tracking_id": 0,
        "shipment_sn": "SP230213001",
        "status": 0,
        "shipment_time": "",
        "wid": 1,
        "gmt_modified": "2023-02-24 17:04:26",
        "gmt_create": "2023-02-13 15:51:02",
        "remark": "duo111",
        "creator_uid": 287,
        "opt_uid": 287,
        "msku_count": 1,
        "quantity_total": 1,
        "logistics_channel_id": 1722,
        "confirm_uid": 0,
        "shipment_uid": 0,
        "confirm_time": 0,
        "expected_arrival_date": "2023-02-13",
        "is_related": 0,
        "is_whb_checked": 0,
        "head_fee_type": 1,
        "is_return_stock": 0,
        "ware_house_bak_name": "",
        "is_print": 0,
        "print_num": 0,
        "is_pick": 0,
        "pick_time": "1973-12-22",
        "print_time": 125415524,
        "etd_date": "",
        "eta_date": "",
        "delivery_date": "",
        "order_logistics_status": "",
        "shipment_user": "",
        "wname": "仓库1",
        "create_user": "冯权",
        "file_id": "",
        "actual_shipment_time": "",
        "logistics_channel_name": "Beatles-5",
        "is_delete": 0,
        "destination_fulfillment_center_id": "FWA4",
        "cancel_time": 0,
        "logistics_provider_id": "15",
        "logistics_provider_name": "未定义1",
        "transportation_cost_status": 3,
        "other_cost_status": 3,
        "pay_status": 4,
        "predicted_transportation_cost_status": 1,
        "predicted_other_cost_status": 3,
        "audit_status": 0,
        "stash_shipment_uid": 0,
        "stash_shipment_time": 0,
        "is_relate_aux": 0,
        "is_exist_declaration": 1,
        "is_exist_clearance": 0,
        "is_points_behind": 0,
        "points_behind_coeffient": 0,
        "v_uuid": "287BCD46-21DF-FC0F-BB12-E3837B59EB16",
        "third_party_order_mode": 0,
        "third_party_logistics_wp_code": "",
        "third_party_order_status": 0,
        "third_party_order_status_code": "",
        "third_party_order_sn": "",
        "third_party_order_exception_reason": "",
        "is_change_label": 0,
        "label_replacement_option": 0,
        "is_signature": 0,
        "age_detection": 0,
        "is_insurance": 0,
        "insurance_value": "0.00",
        "lift_gate": 0,
        "is_relate_head_logistics": 1,
        "ware_operation_type": 0,
        "other_ware_operation": 0,
        "inventory_type": 0,
        "order_cod_currency": "",
        "is_split_prediction": 0,
        "stash_audit_users": "",
        "pick_num": 0,
        "vat_code": "",
        "head_fee_status": 0,
        "is_custom_cost": 0,
        "method_id": "241242581740101632",
        "method_name": "海派",
        "logistics_way_id": 241266354975649792,
        "scheme_id": 1722,
        "packing_task_sn": "",
        "estimated_shipment_date": "",
        "logistics_estimated_day": 0,
        "volume_parameter": 5000,
        "cost_source": 1,
        "is_custom_shipment_time": 0,
        "return_stock_type": 0,
        "cancel_reason": "",
        "is_auto_adjust": 0,
        "items": [{
            "id": 42115,
            "pid": 47042,
            "inbound_shipment_list_id": 8163,
            "box_num": 1,
            "num": 1,
            "pick_num": 0,
            "wid": 1,
            "ware_house_storage_id": 0,
            "product_id": 2117179,
            "sku": "0530-1",
            "fnsku": "XXXXXXXX",
            "seller_id": "16",
            "status": 0,
            "shipment_time": 0,
            "aux_cost": "0.0000",
            "fba_stock_cost": "0.0000",
            "fee_cost": "0.0000",
            "stock_cost": "0.0000",
            "tax_amount": "0.00",
            "tax_currency": "USD",
            "create_time": 0,
            "update_time": 0,
            "gmt_modified": "2023-02-13 15:51:05",
            "gmt_create": "2023-02-13 15:51:03",
            "cost_weight": "0.0000",
            "total_transport_cost": "0.000000",
            "cg_package_length": "56.00",
            "cg_package_width": "23.00",
            "cg_package_height": "123.00",
            "cg_product_gross_weight": "0.00",
            "calculate_tax_amount": "0.0000",
            "product_name": "新的商品",
            "whb_code": [],
            "sname": "8P-SPEED",
            "nation": "美国",
            "cg_product_net_weight": "0.00",
            "total_nw": "0.00",
            "total_gw": "0.00",
            "shipment_plan_quantity": 0,
            "apply_num": 1,
            "remark": "",
            "isp_id": 0,
            "is_combo": 0,
            "create_by_mws": 1,
            "cg_box_width": "125.00",
            "cg_box_height": "468.00",
            "cg_box_weight": "0.00",
            "cg_box_net_weight": "0.00",
            "cg_box_gross_weight": "0.00",
            "cg_box_length": "94.00",
            "cbm": "5.50",
            "product_mws_id": 10000864,
            "asin": "B09MT3989Q",
            "parent_asin": "B09MT3989Q",
            "volume_weight": "5499000.00",
            "quantity_in_case": 567,
            "pic_url": "https://image.distributetop.com/lingxing-erp/90124993550340096/20220907/1caa2240295640fb88cd131154b0517f.jpg",
            "packing_type": 1,
            "shipment_id": "FBA170YCSMQX",
            "sid": 16,
            "wname": "仓库1",
            "fulfillment_network_sku": "XXXXX",
            "shipment_sn": "SP230213001",
            "msku": "XXXXX",
            "transport_cost": "0.0000",
            "diff_num": -1,
            "mid": 1,
            "shipment_order_sn": "",
            "calculate_transportation_cost": "0.0000",
            "calculate_other_cost": "0.0000",
            "calculate_predicted_transportation_cost": "0.000000",
            "calculate_predicted_other_cost": "0.000000",
            "predicted_transport_cost": "0.0000",
            "predicted_total_transport_cost": "0.000000",
            "custom_stock_cost": "0.0000",
            "custom_aux_cost": "0.0000",
            "seller_name": "8P-SPEED",
            "tax_unit": "0.0000",
            "outbound_head_cost_unit": "0.0000",
            "purchase_price_unit": "0.0000",
            "outbound_cost_unit": "0.0000",
            "v_uuid": "4E62DEAD-F0FF-7C4A-F1A1-0E66878626BD",
            "gmt_migrate": "1970-01-01 00:00:00",
            "third_party_product_name": "",
            "third_party_product_code": "",
            "match_num": 0,
            "third_party_order_quantity": 0,
            "product_declared_value": "0.00",
            "label_replacement_qty": 0,
            "hs_code": "",
            "box_no": "",
            "box_pu_number": 0,
            "for_finance_cost": "0.000000",
            "label_file_id": 0,
            "sku_box_key": "bae70c58-3123-4fd8-b7db-40a8aaa23800",
            "custom_purchase_price_unit": "0.0000",
            "custom_outbound_cost_unit": "0.0000",
            "custom_outbound_head_cost_unit": "0.0000",
            "custom_fba_inbound_cost_unit": "0.0000",
            "list_item_volume_proportion": "0.000000",
            "destination_fulfillment_center_id": "FWA4",
            "quantity_shipped": 3,
            "is_delete": 0,
            "shipment_status": "WORKING",
            "warehouse_items": [{
                "inbound_shipment_item_list_mws_id": 42115,
                "isilmi_id": "0",
                "out_num": 0,
                "product_id": 2117179,
                "product_valid_num": 0,
                "seller_id": "",
                "seller_name": "",
                "storage_list": [],
                "storage_seller": [],
                "valid_storage_arr": [],
                "warehouse_fnsku": "",
                "whb_code": [],
                "wid": 0,
                "wname": ""
            }],
            "is_lock": 0,
            "lock_status": 1,
            "quantity_receive": 0,
            "is_relate_mws": 1,
            "product_qc_num": 0,
            "product_valid_num": 0,
            "storage_list": [{
                "fnsku": "XXXXXXXX",
                "wid": 1,
                "product_id": 2117179,
                "storage_hash_id": "3f98aeab2261ad638e63df0fc4a8e60d",
                "product_valid_num": 0,
                "product_qc_num": 0,
                "quantity_receive": 0,
                "shipment_quantity_received": 0
            }],
            "shipment_order_list": [{
                "ispr_id": 33492,
                "isp_id": 0,
                "isim_id": 47042,
                "isil_id": 8163,
                "isilm_id": 42115,
                "shipment_plan_sn": "",
                "shipment_mws_sn": "FBA170YCSMQX",
                "shipment_list_sn": "SP230213001",
                "shipment_plan_quantity": 0,
                "shipment_mws_quantity": 3,
                "shipment_list_quantity": 1,
                "gmt_create": "2023-02-13 15:51:03",
                "gmt_modified": "2023-02-13 15:51:03",
                "v_uuid": "E96B64B8-5746-6FBB-2C65-E1D2553ED0D3",
                "quantity_shipped": 3,
                "seq": null
            }],
            "shipment_ids": [{
                "quantity_shipped": 5,
                "init_quantity_shipped": 3,
                "quantity": 1,
                "id": 47042,
                "shipment_id": "FBA170YCSMQX"
            }],
            "cost_source": "预估费用",
            "whb_code_list": [{
                "whb_code": "T-1-1",
                "whb_type": 5,
                "product_num": 1,
                "product_id": 2117179,
                "sku": "0530-1",
                "fnsku": "XXXXXXXX",
                "whb_code_name": "T-1-1"
            }],
            "valid_storage_arr": [{
                "whb_code": "T-1-1",
                "whb_type": 5,
                "product_num": 1,
                "product_id": 2117179,
                "sku": "0530-1",
                "fnsku": "XXXXXXXX",
                "whb_code_name": "T-1-1"
            }],
            "seqs": "",
            "asin_url": "https://www.amazon.com/dp/B09MT3989Q",
            "label_file_list": [],
            "all_out_num": 0
        }],
        "auxs": [],
        "principals": [{
            "isp_id": "250280871997517824",
            "shipment_sn": "",
            "isil_id": 8163,
            "principal_uid": 129164,
            "operate_user": "冯权",
            "operate_uid": 287,
            "principal_user": "陈育杰",
            "gmt_modified": "2023-02-13 15:51:05",
            "gmt_create": "2023-02-13 15:51:05",
            "v_uuid": "E9B3DEE0-05AF-9607-A983-B051D981E3FF"
        }],
        "declarations": [{
            "inbound_shipment_list_mws_id": 8163,
            "order_sn": "CD20230222003"
        }],
        "clearances": [],
        "third_party_order_file_list": [],
        "box_type": "SINGLE",
        "box_remark": "",
        "msg": "",
        "can_edit_logistics": 1,
        "disable_currency": {
            "transportation_cost": [],
            "other_cost": [],
            "tax_cost": []
        },
        "current_month": 1,
        "is_close_account_month": 0,
        "status_name": "待发货",
        "last_update_time": "2023-02-13 15:50:49",
        "head_fee_type_name": "按实重",
        "fileList": [],
        "box_list": [{
            "box_num": 1,
            "cg_box_length": "94.00",
            "cg_box_width": "125.00",
            "cg_box_height": "468.00",
            "cg_box_weight": "0.00",
            "box_range": "",
            "box_codes": "",
            "box_skus": [{
                "sku_box_key": "bae70c58-3123-4fd8-b7db-40a8aaa23800",
                "sku": "0530-1",
                "shipment_id": "FBA170YCSMQX",
                "seller_name": "8P-SPEED",
                "msku": "XXXXX",
                "fnsku": "XXXXXXXXX",
                "product_name": "新的商品",
                "quantity_in_case": 567
            }]
        }],
        "head_logistics_list": {
            "logistics_list_type": 0,
            "track_list": [{
                "tracking_no": "b",
                "transport_type": 1,
                "transport_type_name": "快递",
                "shippers_name": "",
                "shippers": "",
                "remark": "a",
                "order_type_code": 5,
                "order_type_code_name": "跟踪单号"
            }],
            "estimate_expenses_list": {
                "fee_type": 1,
                "logistics_fee": "2233.00",
                "price": 0,
                "price_currency": "CNY",
                "billing_way": 2,
                "chargeable_weight": "1099.80",
                "logistics_fee_currency": "CNY",
                "total_fee": "2233.00",
                "total_fee_currency": "CNY",
                "remark": "预估其他费用:¥0.00,实际其他费用:¥0.00,备注:;",
                "other_fee_arr": [{
                        "fee_type_id": "241259697847279616",
                        "name": "22",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241249750098461184",
                        "name": "自定义2",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241192037543649792",
                        "name": "5",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241192037528822272",
                        "name": "4",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241171895434473472",
                        "name": "哈哈哈4",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241170444310777856",
                        "name": "哈哈哈333",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241170444085714944",
                        "name": "黑五专用费",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241170442348691456",
                        "name": "哈哈哈12299",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "0",
                        "name": "其他费用",
                        "other_amount": "0.00",
                        "other_currency": ""
                    }
                ]
            },
            "actual_expenses_list": {
                "fee_type": 2,
                "logistics_fee": "0.00",
                "price": 0,
                "price_currency": "CNY",
                "billing_way": 2,
                "chargeable_weight": 0,
                "logistics_fee_currency": "",
                "total_fee": "0.00",
                "total_fee_currency": "CNY",
                "remark": "预估其他费用:¥0.00,实际其他费用:¥0.00,备注:;",
                "other_fee_arr": [{
                        "fee_type_id": "241259697847279616",
                        "name": "22",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241249750098461184",
                        "name": "自定义2",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241192037543649792",
                        "name": "5",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241192037528822272",
                        "name": "4",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241171895434473472",
                        "name": "哈哈哈4",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241170444310777856",
                        "name": "哈哈哈333",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241170444085714944",
                        "name": "黑五专用费",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "241170442348691456",
                        "name": "哈哈哈12299",
                        "other_amount": "0.00",
                        "other_currency": "CNY"
                    },
                    {
                        "fee_type_id": "0",
                        "name": "其他费用",
                        "other_amount": "0.00",
                        "other_currency": ""
                    }
                ]
            }
        },
        "logistics_list_type": 0,
        "logistics": [{
            "predicted_transportation_cost": "2233.00",
            "predicted_transportation_currency": "CNY",
            "other_cost_remark": "",
            "tracking_number": "a",
            "replace_tracking_number": "b",
            "predicted_other_cost": "0.00",
            "predicted_other_currency": "CNY",
            "transportation_cost": "0.00",
            "transportation_currency": "CNY",
            "other_cost": "0.00",
            "other_currency": "CNY"
        }]
    }]
}